Skip to content

CPU Utilization

GET
/notebooks/{Instance_id}/metrics/container_cpu_usage_seconds_total/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/metrics/container_cpu_usage_seconds_total/?project_id=<PROJECT_ID>&location=<LOCATION>&interval=5m&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
Instance_id
required
integer

Instance ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

interval
required
string
Allowed values: 5m 1h 1d 7d 1mn

Interval for the data: 5m (5 minutes), 1h (1 hour), 1d (1 day), 7d (7 days) or 1mn (1 month)

Example

5m

Time series metrics retrieved successfully

Media typeapplication/json
object
code
integer
data
object
time_series
Array<string>
value_series
Array<string>
errors
object
message
string

Example

{
"code": 200,
"data": {
"time_series": [
"11:58:48AM",
"11:59:03AM",
"11:59:18AM",
"11:59:33AM",
"11:59:48AM"
],
"value_series": [
"0.032537415427217456",
"0.03272080373466566",
"0.032955218299105596",
"0.033358756045318946",
"0.03358186154866349"
]
},
"errors": {},
"message": "Success"
}